#pragma once

#include "Widget.h"
#include "StackWidget.h"
#include <string>

class TabbedPanelWidget : public Widget
{
    Widget* mNavPanel;
    StackWidget* mStack;

public:

    TabbedPanelWidget();

    static std::unique_ptr<TabbedPanelWidget> Create();

    void AddPanel(WidgetUPtr panel, const std::string& label);

    StackWidget* GetStack() const;
};

using TabbedPanelWidgetUPtr = std::unique_ptr<TabbedPanelWidget>;
